std::sub_match< _BiIter >(3)

NAME
std::sub_match< _BiIter >

SYNOPSIS

Inherits std::pair< _BiIter, _BiIter >.

  Public Types
using _PCCFP = _PCC<!is_same< _BiIter, _U1 >::value||!is_same< _BiIter, _U2 >::value, _BiIter, _BiIter >
using _PCCP = _PCC< true, _BiIter, _BiIter >
typedef __iter_traits::difference_type difference_type
typedef _BiIter first_type
typedef _BiIter iterator
typedef _BiIter second_type
first_type is the first bound type
typedef basic_string< value_type > string_type
typedef __iter_traits::value_type value_type

  Public Member Functions
int compare (const sub_match &__s) const
Compares this and another matched sequence.
difference_type length () const noexcept
Gets the length of the matching sequence.
operator string_type () const
Gets the matching sequence as a string.
string_type str () const
Gets the matching sequence as a string.
void swap (pair &__p) noexcept(__and_< __is_nothrow_swappable< _BiIter >, __is_nothrow_swappable< _BiIter >>::value)

  Public Attributes
_BiIter first
second_type is the second bound type
bool matched
_BiIter second
first is a copy of the first object
int compare (const string_type &__s) const
Compares this sub_match to a string.
int compare (const value_type *__s) const
Compares this sub_match to a string.
int _M_compare (const value_type *__s, size_t __n) const
Compares this sub_match to a string.

Detailed Description

  template<typename _BiIter>
class std::sub_match< _BiIter >" A sequence of characters matched by a particular marked sub-expression.

An object of this class is essentially a pair of iterators marking a matched subexpression within a regular expression pattern match. Such objects can be converted to and compared with std::basic_string objects of a similar base character type as the pattern matched by the regular expression.

The iterators that make up the pair are the usual half-open interval referencing the actual original pattern matched.

Definition at line 863 of file regex.h.

Member Typedef Documentation

  using std::pair< _BiIter , _BiIter >::_PCCFP = _PCC<!is_same<_BiIter , _U1>::value || !is_same<_BiIter , _U2>::value, _BiIter , _BiIter > [inherited]
There is also a templated copy ctor for the pair class itself.

Definition at line 283 of file stl_pair.h.

  using std::pair< _BiIter , _BiIter >::_PCCP = _PCC<true, _BiIter , _BiIter > [inherited]
Two objects may be passed to a pair constructor to be copied.

Definition at line 252 of file stl_pair.h.

  typedef _BiIter std::pair< _BiIter , _BiIter >::second_type [inherited]

first_type is the first bound type

Definition at line 212 of file stl_pair.h.

Member Data Documentation

  _BiIter std::pair< _BiIter , _BiIter >::first [inherited]

second_type is the second bound type

Definition at line 214 of file stl_pair.h.

  _BiIter std::pair< _BiIter , _BiIter >::second [inherited]

first is a copy of the first object

Definition at line 215 of file stl_pair.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.